Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002900Piwigoweb APIpublic2013.05.15 19:062013.05.24 19:12
Reporterrvelices 
Assigned Torvelices 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.1 
Target Version2.6.0beta1Fixed in Version2.6.0beta1 
Summary0002900: Improve web service output
DescriptionRewrite partially the encoding of web service output (json/php/xml). Today it is slow and sometimes you have a _content member in json/php appearing out of nowhere.

The impact will be minimal, but there will be an impact in the output. For example today if you get a list of images (for album/tag or search) you will get something like
Code:

stat
result
  images
    page=0
    per_page=100
    count=100
    _content
      0
        Object { id=4039, width=2832, height=4248, more...}
      1
        Object { id=4040, width=4224, height=2816, more...}

What you will be getting:
Code:

stat
result
  paging
    page=0
    per_page=100
    count=100
  images
      0
        Object { id=4039, width=2832, height=4248, more...}
      1
        Object { id=4040, width=4224, height=2816, more...}
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0006996)
svn (reporter)
2013.05.18 05:58

[Subversion] r22729 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2900: Improve web service output

- Issue History
Date Modified Username Field Change
2013.05.15 19:06 rvelices New Issue
2013.05.15 19:06 rvelices Status new => assigned
2013.05.15 19:06 rvelices Assigned To => rvelices
2013.05.15 19:06 rvelices browser => any
2013.05.15 19:06 rvelices Web server => Apache 1.3.x
2013.05.18 05:58 svn Checkin
2013.05.18 05:58 svn Note Added: 0006996
2013.05.24 19:12 rvelices Status assigned => closed
2013.05.24 19:12 rvelices Resolution open => fixed
2013.05.24 19:12 rvelices Fixed in Version => 2.6.0beta1


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker